[SM-Grimoire-Bugs] [Bug 15256] subversion 1.6.2 fails to find Berkeley DB

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Tue Jul 21 21:03:40 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15256





--- Comment #3 from Eric Sandall <sandalle at sourcemage.org>  2009-07-21 20:03:40 ---
(In reply to comment #2)
> I had the same problem when upgrading from apr-util 1.2.12 to 1.3.7.  apr's DSO
> capability means that "apu-config --libs" no longer includes "-ldb", so
> subversion's configure script doesn't know how to link against Berkeley DB.
> 
> Either of the following should fix it:
> build apr-util with --disable-util-dso
> build subversion with --with-berkeley-db=:::db (instead of just
> --with-berkeley-db)

With that flag to subversion I get:
checking for socket in -lsocket... no
configure: error: Invalid syntax of argument of --with-berkeley-db option

I think we'll want to keep apr-util building dynamic shared objects since
apache* uses that.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list